package ink.wgink.module.form.pojo.vos.onlyoffice;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: OnlyOfficeSaveVO
 * @Description: 保存
 * @Author: wanggeng
 * @Date: 2022/7/24 20:20
 * @Version: 1.0
 */
public class OnlyOfficeSaveVO {

    private String key;
    private Integer status;
    private String url;
    private String changeUrl;
    private List<String> users;
    private String lastsave;
    private Boolean notmodified;
    private String filetype;
    private History history;
    private List<Action> actions;

    public String getKey() {
        return key == null ? "" : key.trim();
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Integer getStatus() {
        return status == null ? 0 : status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUrl() {
        return url == null ? "" : url.trim();
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getChangeUrl() {
        return changeUrl == null ? "" : changeUrl.trim();
    }

    public void setChangeUrl(String changeUrl) {
        this.changeUrl = changeUrl;
    }

    public List<String> getUsers() {
        return users == null ? new ArrayList() : users;
    }

    public void setUsers(List<String> users) {
        this.users = users;
    }

    public String getLastsave() {
        return lastsave == null ? "" : lastsave.trim();
    }

    public void setLastsave(String lastsave) {
        this.lastsave = lastsave;
    }

    public Boolean getNotmodified() {
        return notmodified;
    }

    public void setNotmodified(Boolean notmodified) {
        this.notmodified = notmodified;
    }

    public String getFiletype() {
        return filetype == null ? "" : filetype.trim();
    }

    public void setFiletype(String filetype) {
        this.filetype = filetype;
    }

    public History getHistory() {
        return history;
    }

    public void setHistory(History history) {
        this.history = history;
    }

    public List<Action> getActions() {
        return actions == null ? new ArrayList() : actions;
    }

    public void setActions(List<Action> actions) {
        this.actions = actions;
    }

    public static class History {
        private String serverVersion;
        private List<Change> changes;

        public String getServerVersion() {
            return serverVersion == null ? "" : serverVersion.trim();
        }

        public void setServerVersion(String serverVersion) {
            this.serverVersion = serverVersion;
        }

        public List<Change> getChanges() {
            return changes == null ? new ArrayList() : changes;
        }

        public void setChanges(List<Change> changes) {
            this.changes = changes;
        }

        public static class Change {
            private String created;
            private User user;

            public String getCreated() {
                return created == null ? "" : created.trim();
            }

            public void setCreated(String created) {
                this.created = created;
            }

            public User getUser() {
                return user;
            }

            public void setUser(User user) {
                this.user = user;
            }

            public static class User {
                private String id;
                private String name;

                public String getId() {
                    return id == null ? "" : id.trim();
                }

                public void setId(String id) {
                    this.id = id;
                }

                public String getName() {
                    return name == null ? "" : name.trim();
                }

                public void setName(String name) {
                    this.name = name;
                }
            }
        }
    }

    public static class Action {
        private Integer type;
        private String userid;

        public Integer getType() {
            return type == null ? 0 : type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public String getUserid() {
            return userid == null ? "" : userid.trim();
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }
    }

}
